
%define bname sylpheed-claws2
%define oname sylpheed-claws

# define versions of plugins here
#%%define ver_cachesaver 0.5
#%%define ver_etpan-privacy 0.9
#%%define ver_fetchinfo 0.4.6
#%%define ver_maildir 0.8
#%%define ver_mailmbox 1.2
#%%define ver_perl 0.3
#%%define ver_synce 0.2
#%%define ver_vcalendar 1.6


Summary:	This package contains additional plugins for %{bname}
Name:		%{bname}-plugins
Version:	1.9.13
Release:	%mkrel 3
Group:		Networking/Mail
License:	GPL
URL:		http://sylpheed-claws.sourceforge.net/downloads/
Source:		%{oname}-plugins-%{version}.tar.bz2 
Buildroot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	%{bname}-devel >= %{version} 
BuildRequires:	synce-devel
BuildRequires:	libetpan-devel
BuildRequires:	perl-devel
Requires:	%{bname} >= %{version}

%description
This package contains additional plugins for %{bname}:
%{bname}-cachesaver-plugin,
%{bname}-etpan-privacy-plugin,
%{bname}-fetchinfo-plugin,
%{bname}-maildir-plugin,
%{bname}-mailmbox-plugin,
%{bname}-perl-plugin,
%{bname}-synce-plugin,
%{bname}-vcalendar-plugin.


%package -n %{bname}-cachesaver-plugin
Summary:	This plugin for %{bname} saves the caches every minute
Group:		Networking/Mail
Requires:	%{bname} >= %{version}

%description -n %{bname}-cachesaver-plugin
This plugin for %{bname} saves the caches every minute. It helps in
avoiding the loss of metadata on crashes. 

%package -n %{bname}-etpan-privacy-plugin
Summary:	This plugin handles verification and decryption of encrypted messages
Group:		Networking/Mail
Requires:	%{bname} >= %{version}

%description -n %{bname}-etpan-privacy-plugin
This plugin handles signature verification and decryption of encrypted
messages in S/MIME, OpenPGP, and ascii-armored PGP formats.

%package -n %{bname}-fetchinfo-plugin
Summary:	This plugin inserts headers containing some download information
Group:		Networking/Mail
Requires:	%{bname} >= %{version}

%description -n %{bname}-fetchinfo-plugin
This plugin for %{bname} inserts headers containing some download
information: UIDL, Sylpheeds account name, POP server, user ID
and retrieval time.

%package -n %{bname}-maildir-plugin
Summary:	This plugin provides direct access to Maildir++ Mailboxes
Group:		Networking/Mail
Requires:	%{bname} >= %{version}

%description -n %{bname}-maildir-plugin
This plugin for %{bname} provides direct access to Maildir++ Mailboxes.

%package -n %{bname}-mailmbox-plugin
Summary:	This plugin provides direct access to mbox folders
Group:		Networking/Mail
Requires:	%{bname} >= %{version}

%description -n %{bname}-mailmbox-plugin
This plugin for %{bname} provides direct access to mbox folders

%package -n %{bname}-perl-plugin
Summary:	Perl interface to %{bname}s' filtering mechanism
Group:		Networking/Mail
Requires:	%{bname} >= %{version}

%description -n %{bname}-perl-plugin
This plugin is intended to extend the filtering possibilities of
%{bname}. It provides a Perl interface to %{bname}s'
filtering mechanism, allowing the use of full Perl power in email
filters.

%package -n %{bname}-synce-plugin
Summary:	This plugin assists in syncing the addressbook
Group:		Networking/Mail
Requires:	%{bname} >= %{version}

%description -n %{bname}-synce-plugin
This plugin assists in keeping the addressbook of a Windows CE
device (Pocket PC/ iPAQ, Smartphone etc) in sync with %{bname}s'
addressbook, with respect to email addresses.

%package -n %{bname}-vcalendar-plugin
Summary:	This plugin for %{bname} enables vCalendar message handling
Group:		Networking/Mail
Requires:	%{bname} >= %{version}

%description -n %{bname}-vcalendar-plugin
This %{bname} plugin handles the vCalendar format (or rather, the
meeting subset of it). It displays such mails in a nice format, lets you
create and send meetings, and creates a virtual folder with the meetings you
have sent or received.


%prep 
%setup -q -c -n %{oname}-plugins-%{version}

%build
for i in `find ./* -maxdepth 0  -type d`
	do
	cd $i
	%configure2_5x
	%make
	cd -
done
 
%install
rm -rf $RPM_BUILD_ROOT

for i in `find ./* -maxdepth 0  -type d`
	do
	cd $i
	%makeinstall_std
	cd -
done

# remove devel files from plugins
rm -rf ${RPM_BUILD_ROOT}/%{_libdir}/%{oname}/plugins/*.*a
rm -f ${RPM_BUILD_ROOT}/%{_includedir}/ical.h

# fix permissions
chmod 644 vcalendar*/AUTHORS

%clean
rm -rf %{buildroot} 


%files -n %{bname}-cachesaver-plugin
%defattr(-,root,root) 
%doc cachesaver*/AUTHORS 
%{_libdir}/%{oname}/plugins/cachesaver*

%files -n %{bname}-etpan-privacy-plugin
%defattr(-,root,root)
%doc etpan-privacy*/AUTHORS etpan-privacy*/ChangeLog etpan-privacy*/README
%{_libdir}/%{oname}/plugins/etpan*

%files -n %{bname}-fetchinfo-plugin
%defattr(-,root,root)
%doc fetchinfo*/ChangeLog fetchinfo*/README
%{_libdir}/%{oname}/plugins/fetchinfo*

%files -n %{bname}-maildir-plugin
%defattr(-,root,root)
%doc maildir*/AUTHORS maildir*/ChangeLog maildir*/README
%{_libdir}/%{oname}/plugins/maildir*

%files -n %{bname}-mailmbox-plugin
%defattr(-,root,root)
%doc mailmbox*/AUTHORS mailmbox*/ChangeLog mailmbox*/README
%{_libdir}/%{oname}/plugins/mailmbox*

%files -n %{bname}-perl-plugin
%defattr(-,root,root)
%doc perl*/AUTHORS perl*/ChangeLog perl*/NEWS perl*/sc_perl.pod
%{_libdir}/%{oname}/plugins/perl*

%files -n %{bname}-synce-plugin
%defattr(-,root,root)
%doc synce*/AUTHORS synce*/ChangeLog synce*/README
%{_libdir}/%{oname}/plugins/synce*

%files -n %{bname}-vcalendar-plugin
%defattr(-,root,root)
%doc vcalendar*/AUTHORS vcalendar*/ChangeLog
%{_libdir}/%{oname}/plugins/vcalendar*


%changelog
* Tue Sep 06 2005 Marcel Pol <mpol@mandriva.org> 1.9.13-3mdk
- require >= version of sylpheed-claws2

* Wed Aug 31 2005 Marcel Pol <mpol@mandriva.org> 1.9.13-2mdk
- buildrequires synce-devel libetpan-devel perl-devel

* Thu Jul 28 2005 Marcel Pol <mpol@mandriva.org> 1.9.13-1mdk
- initial Mandriva package

 
